# encoding:utf8
import sys
reload(sys)
sys.setdefaultencoding('utf8')

'''
@author: 王博
'''


numberGenerator = (x*x for x in range(0, 100, 10))
for i in numberGenerator:
    print i


def create_generator():
    """
      不过当你的函数要返回一个非常大的集合并且你希望只读一次的话,那么它就非常的方便了.
    :return:
    """
    list_rang = range(150)
    for j in list_rang:
        yield j*j


